Skip to Content
inclamoDocs

Conversation Details

GET
/api/v1/accounts/{account_id}/conversations/{conversation_id}

Get all details regarding a conversation with all messages in the conversation

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

conversation_id*integer

The numeric ID of the conversation

Response Body

Success

application/json
  1. response
id?number

ID of the conversation

messages?array<>
account_id?number

Account Id

uuid?string

UUID of the conversation

additional_attributes?

The object containing additional attributes related to the conversation

agent_last_seen_at?number

The last activity at of the agent

assignee_last_seen_at?number

The last activity at of the assignee

can_reply?boolean

Whether the conversation can be replied to

contact_last_seen_at?number

The last activity at of the contact

custom_attributes?

The object to save custom attributes for conversation, accepts custom attributes key and value

inbox_id?number

ID of the inbox

labels?array<string>

The labels of the conversation

muted?boolean

Whether the conversation is muted

snoozed_until?|

The time at which the conversation will be unmuted

status?string

The status of the conversation

Value in"open""resolved""pending"
created_at?number

The time at which conversation was created

updated_at?number

The time at which conversation was updated

timestamp?number

The time at which conversation was created

first_reply_created_at?|

The time at which the first reply was created

unread_count?number

The number of unread messages

last_non_activity_message?|

The last non activity message

last_activity_at?number

The last activity at of the conversation

priority?|

The priority of the conversation

waiting_since?|

The time at which the conversation was waiting

sla_policy_id?|

The ID of the SLA policy

applied_sla?

The applied SLA

sla_events?array<>
meta?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/0'
Example Response
{  "id": 0,  "messages": [    {      "id": 0,      "content": "string",      "account_id": 0,      "inbox_id": 0,      "conversation_id": 0,      "message_type": 0,      "created_at": 0,      "updated_at": 0,      "private": true,      "status": "sent",      "source_id": "string",      "content_type": "text",      "content_attributes": {},      "sender_type": "Contact",      "sender_id": 0,      "external_source_ids": {},      "additional_attributes": {},      "processed_message_content": "string",      "sentiment": {},      "conversation": {},      "attachment": {},      "sender": {}    }  ],  "account_id": 0,  "uuid": "string",  "additional_attributes": {},  "agent_last_seen_at": 0,  "assignee_last_seen_at": 0,  "can_reply": true,  "contact_last_seen_at": 0,  "custom_attributes": {},  "inbox_id": 0,  "labels": [    "string"  ],  "muted": true,  "snoozed_until": 0,  "status": "open",  "created_at": 0,  "updated_at": 0,  "timestamp": 0,  "first_reply_created_at": 0,  "unread_count": 0,  "last_non_activity_message": {    "id": 0,    "content": "string",    "account_id": 0,    "inbox_id": 0,    "conversation_id": 0,    "message_type": 0,    "created_at": 0,    "updated_at": 0,    "private": true,    "status": "sent",    "source_id": "string",    "content_type": "text",    "content_attributes": {},    "sender_type": "Contact",    "sender_id": 0,    "external_source_ids": {},    "additional_attributes": {},    "processed_message_content": "string",    "sentiment": {},    "conversation": {},    "attachment": {},    "sender": {}  },  "last_activity_at": 0,  "priority": "string",  "waiting_since": 0,  "sla_policy_id": 0,  "applied_sla": {},  "sla_events": [    {}  ],  "meta": {    "sender": {      "additional_attributes": {},      "availability_status": "string",      "email": "string",      "id": 0,      "name": "string",      "phone_number": "string",      "blocked": true,      "identifier": "string",      "thumbnail": "string",      "custom_attributes": {},      "last_activity_at": 0,      "created_at": 0    },    "channel": "string",    "assignee": {      "id": 0,      "access_token": "string",      "account_id": 0,      "available_name": "string",      "avatar_url": "string",      "confirmed": true,      "display_name": "string",      "message_signature": "string",      "email": "string",      "hmac_identifier": "string",      "inviter_id": 0,      "name": "string",      "provider": "string",      "pubsub_token": "string",      "role": "agent",      "ui_settings": {},      "uid": "string",      "type": "string",      "custom_attributes": {},      "accounts": [        {          "id": 0,          "name": "string",          "status": "string",          "active_at": "2019-08-24T14:15:22Z",          "role": "administrator",          "permissions": [            "string"          ],          "availability": "string",          "availability_status": "string",          "auto_offline": true,          "custom_role_id": 0,          "custom_role": {}        }      ]    },    "hmac_verified": true  }}